.recent-publications {
    display: flex;
    justify-content: space-between;
    margin-bottom: 30px;
}

.publication-thumbnail {
    width: 30%;
    text-align: center;
    cursor: pointer;
}

.publication-thumbnail a {
    text-decoration: none;
    color: #000;
}

.pdf-thumbnail iframe {
    width: 100%;
    height: 450px;
    border: none;
}

.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    padding-top: 60px;
}

.modal-content {
    background-color: white;
    margin: 5% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 800px;
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

/* Hide the most recent publication by default (on desktop) */
.recent-publication-mobile {
    display: none;
}

@media screen and (max-width: 768px) {

    /* Hide other publication sections to make space for the iframe */
    .recent-publications {
        display: none;
    }

    .publication-thumbnail {
        width: 100%;
        text-align: center;
    }

    /* Show only the most recent publication on mobile */
    .recent-publication-mobile {
        display: block;
        margin-bottom: 20px;
    }

    /* Style iframe to fill full screen on mobile */
    .pdf-thumbnail iframe {
        width: 100%;
        height: 100vh;
        /* Full viewport height */
        border: none;
    }
}